---
search:
  tags:
    - Orders
    - PATCH
seo:
  description: >-
    Updates the order status to one of: placed,… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/orders/{order_id}/status endpoint in the
    Management API.
sidebar:
  label: Update order status
  badge: PATCH
title: Update order status
type: openapi-operation
---
Updates the order status to one of: placed, refunded, compensated, released, delivered, or cancelled. Creates a history entry tracking the status transition. Publishes an order updated event.

`PATCH /api/v1/{team_slug}/{app_slug}/orders/{order_id}/status`

**Request body** (`application/json`, required)

Status update data

- `status` (string, required)

Request body example:

```json
{
  "status": "placed"
}
```

**Responses**

- `200` — Order status updated successfully
- `400` — Invalid request (validation error, invalid status)
- `401` — Unauthorized access
- `404` — Order not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "billing_address": {
      "address_type": "string",
      "city": "string",
      "country_code": "string",
      "created_at": "string",
      "email": "string",
      "family_name": "string",
      "given_name": "string",
      "id": "string",
      "postal_code": "string",
      "state_or_province": "string",
      "street_address": "string",
      "street_address_2": "string",
      "telephone_number": "string",
      "updated_at": "string"
    },
    "bonus_total": 0,
    "country_code": "string",
    "created_at": "string",
    "currency_code": "string",
    "discount_total": 0,
    "discounts": [
      {
        "created_at": "string",
        "discount_id": "string",
        "id": "string",
        "name": "string",
        "order_id": "string",
        "updated_at": "string"
      }
    ],
    "gift_card_total": 0,
    "grand_total": 0,
    "id": "string",
    "language_code": "string",
    "merchant_user": {
      "email": "string",
      "id": "string",
      "name": "string",
      "surname": "string"
    },
    "order_lines": [
      {
        "base_price_amount": 0,
        "created_at": "string",
        "currency_code": "string",
        "first_image_path": "string",
        "id": "string",
        "order_id": "string",
        "product_id": "string",
        "product_name": "string",
        "product_number": "string",
        "quantity": 0,
        "short_description": "string",
        "tax_group_id": "string",
        "total_discount_amount": 0,
        "total_price_amount": 0,
        "total_sale_price": 0,
        "total_tax_amount": 0,
        "updated_at": "string",
        "variant_id": "string",
        "variant_name": "string",
        "variant_number": "string"
      }
    ],
    "order_tracking_reference": "string",
    "payment_method": "string",
    "payment_method_id": "string",
    "payment_method_name": "string",
    "reference": "string",
    "session_id": "string",
    "shipping_address": {
      "address_type": "string",
      "city": "string",
      "country_code": "string",
      "created_at": "string",
      "email": "string",
      "family_name": "string",
      "given_name": "string",
      "id": "string",
      "postal_code": "string",
      "state_or_province": "string",
      "street_address": "string",
      "street_address_2": "string",
      "telephone_number": "string",
      "updated_at": "string"
    },
    "shipping_methods": [
      "string"
    ],
    "shipping_total": 0,
    "source": "string",
    "sub_total": 0,
    "tax_total": 0,
    "updated_at": "string",
    "user_content": [
      {
        "content_type": "string",
        "filename": "string",
        "id": "string",
        "url": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
